Subject: Re: [PATCHv2 net-next] Bonding: add missed_max option

From: Jay Vosburgh <[email-masked]>
Date: Thu, 18 Nov 2021 14:10:21 +0000

Hangbin Liu <[email-masked]> wrote:

>On Wed, Nov 17, 2021 at 04:16:46PM +0000, Jay Vosburgh wrote:
>> >I didn't explain it clearly. I want to say:
>> >
>> >I'm not using arp_misssed_max as the new option name because I plan to add
>> >bonding IPv6 NS/NA monitor in future. At that time the option "missed_max"
>> >could be used for both IPv4/IPv6 monitor.
>> >
>> >I will update the commit description in next version.
>> 
>> 	There has been talk of adding an IPv6 NS monitor for years, but
>> it hasn't manifested.  I would prefer to see a consistent set of options
>
>I'm working on it now. I should send a simple draft patch in 2 weeks.
>
>> nomenclature in what we have here and now.  If and when an IPv6 version
>> is added, depending on the implementation, either the IPv6 item can be a
>> discrete tunable, or an alias could be added, similar to num_grat_arp /
>> num_unsol_na.
>
>The name of num_grat_arp looks better than missed_max :) . In my
>IPv6 implementation, the function bond_ab_arp_inspect() will be reused
>directly. So one name or an alias looks more reasonable.
>
>For the alias options, do you mean to let both num_grat_arp and num_unsol_na
>change a same option in bond->params?

	The current options num_grat_arp and num_unsol_na change the
same underlying setting (params->num_peer_notif).  Your new "missed_max"
functionality could have "arp_missed_max" as the option name today, and
then whenever an IPv6 version is added, a "na_missed_max" option name
could be added as an alias for the arp_missed_max option.

	-J

---
	-Jay Vosburgh, [email-masked]